SSCONVERT(1)

NAME
ssconvert - a command line spreadsheet format converter

SYNOPSIS
ssconvert [OPTIONS] infile outfile

DESCRIPTION
ssconvert is a command line utility to convert spreadsheet files between various spreadsheet file formats. It is a companion utility to Gnumeric, the powerful spreadsheet program created by the GNOME project.

OPTIONS
This program follows the usual GNU command line syntax, with single letter options starting with a single dash (`-') and longer options starting with two dashes (`--').

  Main options

--list-exporters
    List the available exporters (file formats)

--list-importers
    List the available importers (file formats)

-E, --import-encoding=STRING
    Specify an encoding for imported content

-T, --export-type=ID
    Specify which exporter to use; see below for a list.

  Help options

-v, --version
    Display ssconvert's version

-h, --help, --usage
    Display a brief usage message

  Path options

-L, --lib-dir=STRING
    Set the root library directory

-D, --data-dir=STRING
    Adjust the root data directory

LIST OF IDS

Gnumeric_xml_sax:xml_sax
    EXPERIMENTAL SAX based Gnumeric (*.gnumeric)

Gnumeric_dif:dif
    Data Interchange Format (*.dif)

Gnumeric_html:roff
    TROFF (*.me)

Gnumeric_html:latex
    LaTeX 2e (*.tex)

Gnumeric_html:xhtml_range
    XHTML range - for export to clipboard

Gnumeric_html:xhtml
    XHTML (*.html)

Gnumeric_html:html40frag
    HTML (*.html) fragment

Gnumeric_html:html40
    HTML 4.0 (*.html)

Gnumeric_html:html32
    HTML 3.2 (*.html)

Gnumeric_Excel:excel_dsf
    MS Excel (tm) 97/2000/XP & 5.0/95

Gnumeric_Excel:excel_biff8
    MS Excel (tm) 97/2000/XP

Gnumeric_Excel:excel_biff7
    MS Excel (tm) 5.0/95

Gnumeric_stf:stf
    Text export (configurable)

Gnumeric_XmlIO:gnum_xml
    Gnumeric XML file format

EXAMPLE
To convert the gnumeric file foo.gnumeric to a Microsoft Excel(TM) file foo.xls:

ssconvert --export-type=Gnumeric_Excel:excel_dsf foo.gnumeric foo.xls

BUGS
ssconvert is a recent addition to Gnumeric. Its main limitation is that there is currently no provision for importer or exporter specific flags.

LICENSE
ssconvert is licensed under the terms of the General Public License (GPL), version 2. For information on this license look at the source code that came with the software or see the GNU project page (http://www.gnu.org) at http://www.gnu.org/.

COPYRIGHT
The copyright on the gnumeric software and source code is held by the individual authors as is documented in the source code.

AUTHOR
ssconvert's primary author is Jody Goldberg <jody@gnome.org>; ssconvert builds on the gnumeric codebase. The initial version of this manpage was written by J.H.M. Dassen (Ray) <jdassen@debian.org>.

SEE ALSO
gnumeric(1) The Gnumeric Homepage (http://www.gnome.org/projects/gnumeric/) at http://www.gnome.org/projects/gnumeric/ The GNOME project page (http://www.gnome.org/) at http://www.gnome.org/